> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve merchant record

> Retrieves merchant record - username, email, callback URL, merchant logo, creditCurrency, API key expiry date-time



## OpenAPI

````yaml get /v1/merchants
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/merchants:
    get:
      tags:
        - Merchants
      summary: Retrieve merchant record
      description: >-
        Retrieves merchant record - username, email, callback URL, merchant
        logo, creditCurrency, API key expiry date-time
      operationId: get-merchant
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      email:
                        type: string
                        description: Merchant email address
                      username:
                        type: string
                        description: Merchant username
                      expires:
                        type: string
                        format: date-time
                        description: API key expiry date and time
                        example: '2023-10-03T09:21:05.197Z'
                      logo:
                        type: string
                        description: Merchant logo URL
                        example: https://www.example.com/favicon
                      creditCurrency:
                        type: string
                        description: Merchant's credit currency
                        enum:
                          - NGN
                          - USD
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````